import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Robot here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class robot extends thing
{
    private boolean jumping;
    private int vSpeed = 0; 
    private int accelaration = 2;
    private int jumpStrength = 15;
    private Counter counter;
    
    public robot(Counter pointCounter)
    {
        counter = pointCounter;
    }
    /**
     * Act - do whatever the Robot wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkFall();
        CheckKeys();
        changeBackground();
        if(isTouching(fuel.class))
        {
            counter.add(5);
        }
        adminHack();
    }

    public void CheckKeys()
    {
        if(Greenfoot.isKeyDown("d"))
        {
            move(5);
            setImage("rightrobot.png");
        }
        if(Greenfoot.isKeyDown("a"))
        {
            move(-5);
            setImage("leftrobot.png");
        }
        if(Greenfoot.isKeyDown("w") && jumping == false)
        {
            jump();
            setImage("straightrobot.png");
        }
        
        if(isTouching(leftwall.class))
        {
            setLocation(getX()+5, getY());
        }
        if(isTouching(rightwall.class))
        {
            setLocation(getX()-5, getY());
        }
        
    }

    public void Falling()
    {
        setLocation(getX(), getY() +vSpeed);
        if(vSpeed <=8)
        {
            vSpeed = vSpeed + accelaration;
        }
        jumping = true;
    }

    public void moveToGround(Actor ground)
    {
        int groundHeight = ground.getImage().getHeight();
        int newY = ground.getY() - (groundHeight + getImage().getHeight())/2;

        setLocation(getX(), newY);
        jumping = false;
    }

    public boolean onFloor()
    {
        int spriteHeight = getImage().getHeight();
        int lookForGround = (int)(spriteHeight/2) + 5;
        Actor ground = getOneObjectAtOffset(0, lookForGround, platforms.class);

        if(ground == null)
        {
            jumping = true;
            return false;
        }
        else
        {
            moveToGround(ground);
            return true;
        }
    }

    public void checkFall()
    {
        if(onFloor())
        {
            vSpeed=0;
        }
        else
        {
            Falling();
        }
    }

    public void jump()
    {
        vSpeed = vSpeed - jumpStrength;
        jumping = true;
        Falling();
    }

    public boolean onGround()
    {
        int spriteHeight = getImage().getHeight();
        int lookForGround = (int)(spriteHeight/2) + 5;
        Actor ground = getOneObjectAtOffset(0, lookForGround, platforms.class);

        if(ground == null)
        {
            jumping = true;
            return false;
        }
        else
        {
            moveToGround(ground);
            return true;
        }
    }

    
    
    public void changeBackground()
    {
        if(atWorldEdge())
        {
            if(getWorld() instanceof Myworld)
            {
                Myworld2 world2 = new Myworld2();
                Greenfoot.setWorld(world2);
            }
            if(getWorld() instanceof Myworld2)
            {
                Myworld3 world3 = new Myworld3();
                Greenfoot.setWorld(world3);
            }
        }
    }
    
    public void adminHack()
    {
        if(Greenfoot.isKeyDown("q"))
        {
            if(getWorld() instanceof Myworld)
            {
                Myworld2 world2 = new Myworld2();
                Greenfoot.setWorld(world2);
            }
            if(getWorld() instanceof Myworld2)
            {
                Myworld3 world3 = new Myworld3();
                Greenfoot.setWorld(world3);
            }
        }
    }
    
}
